Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagInfo

public class TagInfo
extends java.lang.Object

Represents the tag information from the tld. TagExtraInfo classes can use this to help in validation or in variable creation. ``

     <tag>
       <name>foo</name>
       <tagclass>com.caucho.tags.FooTag</tagclass>
       <teiclass>com.caucho.tags.FooTagInfo</teiclass>
       <bodycontent>jsp</bodycontent>

       <attribute>
         ...
       </attribute>
     </tag>

Field Summary
`static java.lang.String` | `BODY_CONTENT_EMPTY` Constant for the "empty" body content
`static java.lang.String` | `BODY_CONTENT_JSP` Constant for standard "jsp" processed body content
`static java.lang.String` | `BODY_CONTENT_TAG_DEPENDENT` Constant for "tag-dependent" unprocessed verbatim body content

Constructor Summary
`TagInfo(java.lang.String tagName, java.lang.String tagClassName, java.lang.String bodyContent, java.lang.String infoString, TagLibraryInfo taglib, TagExtraInfo tagExtraInfo, TagAttributeInfo[] attributeInfo)` Constructor for TagInfo.

Method Summary
`TagAttributeInfo[]` | `getAttributes()` Returns information about the tags allowed attributes.
`java.lang.String` | `getBodyContent()` Returns the body content type.
`java.lang.String` | `getInfoString()` Returns the tag's infomation string.
`java.lang.String` | `getTagClassName()` Returns the tag's class name.
`TagExtraInfo` | `getTagExtraInfo()` Returns the tag extra info for the tag.
`TagLibraryInfo` | `getTagLibrary()` Returns the TagLibraryInfo for the tag.
`java.lang.String` | `getTagName()` Returns the tag's name.
`VariableInfo[]` | `getVariableInfo(TagData data)` Information about the variables created by the tag at runtime.
`boolean` | `isValid(TagData data)` Returns true if the tag instance is valid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BODY_CONTENT_EMPTY

    public static java.lang.String BODY_CONTENT_EMPTY

  Constant for the "empty" body content

### BODY_CONTENT_JSP

    public static java.lang.String BODY_CONTENT_JSP

  Constant for standard "jsp" processed body content

### BODY_CONTENT_TAG_DEPENDENT

    public static java.lang.String BODY_CONTENT_TAG_DEPENDENT

  Constant for "tag-dependent" unprocessed verbatim body content

Constructor Detail

### TagInfo

    public TagInfo(java.lang.String tagName,
                   java.lang.String tagClassName,
                   java.lang.String bodyContent,
                   java.lang.String infoString,
                   TagLibraryInfo taglib,
                   TagExtraInfo tagExtraInfo,
                   TagAttributeInfo[] attributeInfo)

  Constructor for TagInfo. Created by the JSP engine at compile time for the benefit of TagExtraInfo classes.
  Parameters:
    `tagName` - tag name
    `tagClassName` - the tag's class name
    `bodyContent` - description of the expected body contents
    `infoString` - informatino string of the tag
    `taglib` - pointer to the TagLibraryInfo
    `tagExtraInfo` - the tag's custom TagExtraInfo.
    `tagAttributeInfo` - information about the tags attribute from the tld.

Method Detail

### getTagName

    public java.lang.String getTagName()

  Returns the tag's name.

### getAttributes

    public TagAttributeInfo[] getAttributes()

  Returns information about the tags allowed attributes.

### getVariableInfo

    public VariableInfo[] getVariableInfo(TagData data)

  Information about the variables created by the tag at runtime.
  Parameters:
    `data` - information about the tag instance

### isValid

    public boolean isValid(TagData data)

  Returns true if the tag instance is valid.
  Parameters:
    `data` - information about the tag instance

### getTagExtraInfo

    public TagExtraInfo getTagExtraInfo()

  Returns the tag extra info for the tag.

### getTagClassName

    public java.lang.String getTagClassName()

  Returns the tag's class name.

### getBodyContent

    public java.lang.String getBodyContent()

  Returns the body content type.
  - empty - the tag must be empty
  - jsp - the body is processed as normal jsp
  - tag-dependent - the body copied as verbatim text.

### getInfoString

    public java.lang.String getInfoString()

  Returns the tag's infomation string.

### getTagLibrary

    public TagLibraryInfo getTagLibrary()

  Returns the TagLibraryInfo for the tag.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD